# ClaudeSync

[![GitHub Actions](https://github.com/jahwag/ClaudeSync/actions/workflows/publish-to-pypi.yml/badge.svg)](https://github.com/jahwag/ClaudeSync/actions/workflows/publish-to-pypi.yml)

ClaudeSync is a powerful tool designed to seamlessly synchronize your local files with [Claude.ai](https://www.anthropic.com/claude) projects.

## 🤖 What is Claude.ai?

[Claude.ai](https://www.anthropic.com/claude) is an advanced AI assistant created by Anthropic, capable of engaging in various tasks including analysis, coding, and creative writing. ClaudeSync bridges the gap between your local development environment and Claude.ai's knowledge base.

## 🚀 Key Features

- **Real-time synchronization** with Claude.ai projects
- **User-friendly Terminal User Interface (TUI)**
- **Automatic handling** of file creation, modification, and deletion
- **Intelligent file filtering** based on .gitignore rules
- **Configurable sync delay** to optimize performance
- **Seamless integration** with your existing workflow

## 🖼️ Screenshots

<table>
  <tr>
    <td><img src="https://raw.githubusercontent.com/jahwag/ClaudeSync/master/screen1.png" alt="ClaudeSync Interface" width="400"/></td>
    <td><img src="https://raw.githubusercontent.com/jahwag/ClaudeSync/master/screen2.png" alt="ClaudeSync in Action" width="400"/></td>
  </tr>
</table>

## 🚀 Quick Start

1. **Install ClaudeSync:**
   ```bash
   pip install claudesync
   ```

2. **Run ClaudeSync:**
   ```bash
   claudesync
   ```

   That's it! ClaudeSync will guide you through obtaining your session key and selecting your project. It will then start syncing your current directory with your Claude.ai project.

## 🛠️ Advanced Usage

For more options and advanced configurations, run:
```bash
claudesync --help
```

## 🤝 Contributing

We welcome contributions! Please see our [Contributing Guidelines](CONTRIBUTING.md) for more information.

## 📄 License

This project is licensed under the [MIT License](https://opensource.org/licenses/MIT).

## ⚠️ Disclaimer

Ensure you have the necessary permissions to access and modify your Claude.ai projects. Keep your session key secure and do not share it publicly.

## 📞 Support

If you encounter any issues or have questions, please [open an issue](https://github.com/jahwag/ClaudeSync/issues) on our GitHub repository.

---

Made with ❤️ by the ClaudeSync team